@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@100;200;300;400;500&display=swap');
@import url('_components/global.css');
@import url('_components/palette.css');

/* Code Content */
.code-content h1 {
    font-weight: 300;
    margin-bottom: 1rem;
    font-size: 1.5rem;
}

.code-content h2 {
    margin-top: 1rem;
    font-size: 1rem;
    font-weight: 500;
    margin-left: 1rem;
    margin-bottom: 0.25rem;
}

.code-content h2::before {
    content: "• ";
}

.code-content p {
    font-size: 1rem;
    word-spacing: 3px;
    line-height: 1.5rem;
    margin-left: 1.5rem;
    margin-top: 0;
    margin-bottom: 0.5rem;
    color: var(--text-primary);
}

.code-content a {
    font-size: 1rem;
    color: var(--accent-color);
    font-weight: 400;
    text-decoration: none;
    transition: var(--transition);
}

.code-content a:hover {
    color: var(--accent-hover);
    border-bottom-color: none;
}

.code-content hr {
    border: none;
    height: 1px;
    margin-top: 1rem;
    margin-bottom: 1rem;
    background-color: var(--border-color);
}

.end-caption {
    font-size: 1rem;
    color: var(--text-primary);
    margin-top: 2rem;
    font-weight: 300;
}

.end-caption a {
    color: var(--accent-color);
    text-decoration: none;
    transition: var(--transition);
}

.end-caption a:hover {
    color: var(--accent-hover);
}